Package com.google.javascript.jscomp

# Class Instrumentation

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.javascript.jscomp.Instrumentation

All Implemented Interfaces:
  `InstrumentationOrBuilder`, `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`

public final class Instrumentation extends com.google.protobuf.GeneratedMessageV3 implements InstrumentationOrBuilder
Protobuf type `jscomp.Instrumentation`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Instrumentation.Builder`
Protobuf type `jscomp.Instrumentation`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`APP_NAME_SETTER_FIELD_NUMBER`
`static final int`
`DECLARATION_TO_REMOVE_FIELD_NUMBER`
`static final int`
`INIT_FIELD_NUMBER`
`static final com.google.protobuf.Parser<Instrumentation>`
`PARSER`
Deprecated.
`static final int`
`REPORT_CALL_FIELD_NUMBER`
`static final int`
`REPORT_DEFINED_FIELD_NUMBER`
`static final int`
`REPORT_EXIT_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`com.google.protobuf.ByteString`
`getAppNameSetterBytes()`
name of function(<string>); used to inform the harness about the app name
`String`
`getDeclarationToRemove(int index)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`com.google.protobuf.ByteString`
`getDeclarationToRemoveBytes(int index)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`int`
`getDeclarationToRemoveCount()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`com.google.protobuf.ProtocolStringList`
`getDeclarationToRemoveList()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`static Instrumentation`
`getDefaultInstance()`
`Instrumentation`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getInit(int index)`
Definition of functions used to report module contents and function calls.
`com.google.protobuf.ByteString`
`getInitBytes(int index)`
Definition of functions used to report module contents and function calls.
`int`
`getInitCount()`
Definition of functions used to report module contents and function calls.
`com.google.protobuf.ProtocolStringList`
`getInitList()`
Definition of functions used to report module contents and function calls.
`com.google.protobuf.Parser<Instrumentation>`
`getParserForType()`
`String`
`getReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`com.google.protobuf.ByteString`
`getReportCallBytes()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`String`
`getReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`com.google.protobuf.ByteString`
`getReportDefinedBytes()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`String`
`getReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`com.google.protobuf.ByteString`
`getReportExitBytes()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`int`
`getSerializedSize()`
`final com.google.protobuf.UnknownFieldSet`
`getUnknownFields()`
`boolean`
`hasAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`int`
`hashCode()`
`boolean`
`hasReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`boolean`
`hasReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`boolean`
`hasReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static Instrumentation.Builder`
`newBuilder()`
`static Instrumentation.Builder`
`newBuilder(Instrumentation prototype)`
`Instrumentation.Builder`
`newBuilderForType()`
`protected Instrumentation.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static Instrumentation`
`parseDelimitedFrom(InputStream input)`
`static Instrumentation`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation`
`parseFrom(byte[] data)`
`static Instrumentation`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation`
`parseFrom(com.google.protobuf.ByteString data)`
`static Instrumentation`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static Instrumentation`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation`
`parseFrom(InputStream input)`
`static Instrumentation`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Instrumentation`
`parseFrom(ByteBuffer data)`
`static Instrumentation`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Instrumentation>`
`parser()`
`Instrumentation.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### REPORT_DEFINED_FIELD_NUMBER

public static final int REPORT_DEFINED_FIELD_NUMBER

See Also:
  - Constant Field Values

### REPORT_CALL_FIELD_NUMBER

public static final int REPORT_CALL_FIELD_NUMBER

See Also:
  - Constant Field Values

### REPORT_EXIT_FIELD_NUMBER

public static final int REPORT_EXIT_FIELD_NUMBER

See Also:
  - Constant Field Values

### DECLARATION_TO_REMOVE_FIELD_NUMBER

public static final int DECLARATION_TO_REMOVE_FIELD_NUMBER

See Also:
  - Constant Field Values

### INIT_FIELD_NUMBER

public static final int INIT_FIELD_NUMBER

See Also:
  - Constant Field Values

### APP_NAME_SETTER_FIELD_NUMBER

public static final int APP_NAME_SETTER_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final com.google.protobuf.Parser<Instrumentation> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### hasReportDefined

public boolean hasReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Specified by:
  `hasReportDefined` in interface `InstrumentationOrBuilder`
Returns:
  Whether the reportDefined field is set.

### getReportDefined

public String getReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Specified by:
  `getReportDefined` in interface `InstrumentationOrBuilder`
Returns:
  The reportDefined.

### getReportDefinedBytes

public com.google.protobuf.ByteString getReportDefinedBytes()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Specified by:
  `getReportDefinedBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for reportDefined.

### hasReportCall

public boolean hasReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Specified by:
  `hasReportCall` in interface `InstrumentationOrBuilder`
Returns:
  Whether the reportCall field is set.

### getReportCall

public String getReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Specified by:
  `getReportCall` in interface `InstrumentationOrBuilder`
Returns:
  The reportCall.

### getReportCallBytes

public com.google.protobuf.ByteString getReportCallBytes()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Specified by:
  `getReportCallBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for reportCall.

### hasReportExit

public boolean hasReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Specified by:
  `hasReportExit` in interface `InstrumentationOrBuilder`
Returns:
  Whether the reportExit field is set.

### getReportExit

public String getReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Specified by:
  `getReportExit` in interface `InstrumentationOrBuilder`
Returns:
  The reportExit.

### getReportExitBytes

public com.google.protobuf.ByteString getReportExitBytes()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Specified by:
  `getReportExitBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for reportExit.

### getDeclarationToRemoveList

public com.google.protobuf.ProtocolStringList getDeclarationToRemoveList()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemoveList` in interface `InstrumentationOrBuilder`
Returns:
  A list containing the declarationToRemove.

### getDeclarationToRemoveCount

public int getDeclarationToRemoveCount()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemoveCount` in interface `InstrumentationOrBuilder`
Returns:
  The count of declarationToRemove.

### getDeclarationToRemove

public String getDeclarationToRemove(int index)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemove` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The declarationToRemove at the given index.

### getDeclarationToRemoveBytes

public com.google.protobuf.ByteString getDeclarationToRemoveBytes(int index)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Specified by:
  `getDeclarationToRemoveBytes` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the declarationToRemove at the given index.

### getInitList

public com.google.protobuf.ProtocolStringList getInitList()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInitList` in interface `InstrumentationOrBuilder`
Returns:
  A list containing the init.

### getInitCount

public int getInitCount()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInitCount` in interface `InstrumentationOrBuilder`
Returns:
  The count of init.

### getInit

public String getInit(int index)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInit` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The init at the given index.

### getInitBytes

public com.google.protobuf.ByteString getInitBytes(int index)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Specified by:
  `getInitBytes` in interface `InstrumentationOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the init at the given index.

### hasAppNameSetter

public boolean hasAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Specified by:
  `hasAppNameSetter` in interface `InstrumentationOrBuilder`
Returns:
  Whether the appNameSetter field is set.

### getAppNameSetter

public String getAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Specified by:
  `getAppNameSetter` in interface `InstrumentationOrBuilder`
Returns:
  The appNameSetter.

### getAppNameSetterBytes

public com.google.protobuf.ByteString getAppNameSetterBytes()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Specified by:
  `getAppNameSetterBytes` in interface `InstrumentationOrBuilder`
Returns:
  The bytes for appNameSetter.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static Instrumentation parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Instrumentation parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Instrumentation parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Instrumentation parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Instrumentation parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Instrumentation parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Instrumentation parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Instrumentation parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Instrumentation parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Instrumentation parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static Instrumentation parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Instrumentation parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public Instrumentation.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static Instrumentation.Builder newBuilder()

### newBuilder

public static Instrumentation.Builder newBuilder(Instrumentation prototype)

### toBuilder

public Instrumentation.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected Instrumentation.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static Instrumentation getDefaultInstance()

### parser

public static com.google.protobuf.Parser<Instrumentation> parser()

### getParserForType

public com.google.protobuf.Parser<Instrumentation> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public Instrumentation getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`